<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="bascula">
        <pm:header>
            Registros
        </pm:header>
        <pm:content>
            <h:form id="editForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="3" >
                        
                        <p:outputLabel for="id" value="Id: "  style="font-weight: bold"/>
                        <p:inputText id="id" value="#{folioMB.activoSeleccionado.id}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="numero1" value="Folio: "  style="font-weight: bold"/>
                        <p:inputText id="numero1" value="#{folioMB.activoSeleccionado.folio}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        
                        <p:outputLabel for="bruto" value="Peso Bruto :" style="font-weight: bold"/>
                        <p:inputNumber id="bruto" value="#{folioMB.activoSeleccionado.peso_bruto}"  
                                       requiredMessage="Error al salvar registro. El peso bruto es requerido"
                                       minValue="0" maxValue="100000" /> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="tara" value="Peso Tara :" style="font-weight: bold"/>
                        <p:inputNumber id="tara" value="#{folioMB.activoSeleccionado.peso_tara}"  
                                       minValue="0" maxValue="100000"
                                       requiredMessage="Error al salvar registro. El peso tara es requerido"/>
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="neto" value="Peso Neto :" style="font-weight: bold"/>
                        <p:inputNumber id="neto" value="#{folioMB.activoSeleccionado.peso_neto}" minValue="0" maxValue="100000" readonly="true"/> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="japon" value="Japón: " style="font-weight: bold"/>
                        <p:inputText id="japon" value="#{folioMB.activoSeleccionado.japon}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:japón"/>
                        <p:outputLabel value="* Campo requerido"/>

                        <p:outputLabel for="segundas" value="Segundas: " style="font-weight: bold"/>
                        <p:inputText id="segundas" value="#{folioMB.activoSeleccionado.segundas}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:segundas"/>
                        <p:outputLabel value="* Campo requerido"/>

                        <p:outputLabel for="terceras" value="Terceras: " style="font-weight: bold"/>
                        <p:inputText id="terceras" value="#{folioMB.activoSeleccionado.terceras}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:terceras"/>
                        <p:outputLabel value="* Campo requerido"/>

                        <p:outputLabel for="torreon" value="Torreon " style="font-weight: bold"/>
                        <p:inputText id="torreon" value="#{folioMB.activoSeleccionado.torreon}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:torreon"/>
                        <p:outputLabel value="* Campo requerido"/>

                        <p:outputLabel for="coleada" value="Coleada: " style="font-weight: bold"/>
                        <p:inputText id="coleada" value="#{folioMB.activoSeleccionado.coleada}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:coleada"/>
                        <p:outputLabel value="* Campo requerido"/>
                                
                        <p:outputLabel   value=""/>
                        <p:inputText   value="#{folioMB.activoSeleccionado.id}" type="hidden" /> 
                        <p:outputLabel value=""/>
                        
                    </h:panelGrid> 
                    <p:commandButton value="Guardar registro" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarRegitroMobile3(
                                    folioMB.activoSeleccionado.peso_bruto,
                                    folioMB.activoSeleccionado.peso_tara,
                                    folioMB.activoSeleccionado.japon,
                                    folioMB.activoSeleccionado.segundas,
                                    folioMB.activoSeleccionado.terceras,
                                    folioMB.activoSeleccionado.torreon,
                                    folioMB.activoSeleccionado.coleada,
                                    folioMB.activoSeleccionado.id
                                    ,2,sessionMB.usuariomovil.id                                    
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cambiar a estatus terminado" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarRegitroMobile3(
                                    folioMB.activoSeleccionado.peso_bruto,
                                    folioMB.activoSeleccionado.peso_tara,
                                    folioMB.activoSeleccionado.japon,
                                    folioMB.activoSeleccionado.segundas,
                                    folioMB.activoSeleccionado.terceras,
                                    folioMB.activoSeleccionado.torreon,
                                    folioMB.activoSeleccionado.coleada,
                                    folioMB.activoSeleccionado.id
                                    ,3,sessionMB.usuariomovil.id
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Regresar a estatus recepción" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.rechazar(
                                    folioMB.activoSeleccionado.id
                                    ,1
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cancelar operación"  ajax="false" icon="ui-icon-contact"  />
                </h:form>
        </pm:content>
        <pm:footer>
            <p:button value="Menú" outcome="./menu.xhtml"  style="width:100%;height:30px;font-weight: bold;margin-right:30px;" />
        </pm:footer>
    </pm:page>
    <pm:page id="registroEditar">
        <pm:header>
            Edición de registro en confirmación 
        </pm:header>
        <pm:content>;
            <p:panel id="regEdicion" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                <h:form id="editForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="3" >
                        
                        <p:outputLabel for="id" value="Id: "  style="font-weight: bold"/>
                        <p:inputText id="id" value="#{folioMB.activoSeleccionado.id}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="numero1" value="Folio: "  style="font-weight: bold"/>
                        <p:inputText id="numero1" value="#{folioMB.activoSeleccionado.folio}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        
                        <p:outputLabel for="bruto" value="Peso Bruto :" style="font-weight: bold"/>
                        <p:inputNumber id="bruto" value="#{folioMB.activoSeleccionado.peso_bruto}"  
                                       requiredMessage="Error al salvar registro. El peso bruto es requerido"
                                       minValue="0" maxValue="100000" /> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="tara" value="Peso Tara :" style="font-weight: bold"/>
                        <p:inputNumber id="tara" value="#{folioMB.activoSeleccionado.peso_tara}"  
                                       minValue="0" maxValue="100000"
                                       requiredMessage="Error al salvar registro. El peso tara es requerido"/>
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="neto" value="Peso Neto :" style="font-weight: bold"/>
                        <p:inputNumber id="neto" value="#{folioMB.activoSeleccionado.peso_neto}" minValue="0" maxValue="100000" readonly="true"/> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="japon" value="Japón: " style="font-weight: bold"/>
                        <p:inputText id="japon" value="#{folioMB.activoSeleccionado.japon}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:japón"/>
                        <p:outputLabel value="* Campo requerido"/>

                        <p:outputLabel for="segundas" value="Segundas: " style="font-weight: bold"/>
                        <p:inputText id="segundas" value="#{folioMB.activoSeleccionado.segundas}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:segundas"/>
                        <p:outputLabel value="* Campo requerido"/>

                        <p:outputLabel for="terceras" value="Terceras: " style="font-weight: bold"/>
                        <p:inputText id="terceras" value="#{folioMB.activoSeleccionado.terceras}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:terceras"/>
                        <p:outputLabel value="* Campo requerido"/>

                        <p:outputLabel for="torreon" value="Torreon " style="font-weight: bold"/>
                        <p:inputText id="torreon" value="#{folioMB.activoSeleccionado.torreon}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:torreon"/>
                        <p:outputLabel value="* Campo requerido"/>

                        <p:outputLabel for="coleada" value="Coleada: " style="font-weight: bold"/>
                        <p:inputText id="coleada" value="#{folioMB.activoSeleccionado.coleada}" style="width: 350px" 
                                     required ="true" requiredMessage="El campo es requerido:coleada"/>
                        <p:outputLabel value="* Campo requerido"/>
                                
                        <p:outputLabel   value=""/>
                        <p:inputText   value="#{folioMB.activoSeleccionado.id}" type="hidden" /> 
                        <p:outputLabel value=""/>
                        
                    </h:panelGrid> 
                    <p:commandButton value="Guardar registro" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarRegitroMobile3(
                                    folioMB.activoSeleccionado.peso_bruto,
                                    folioMB.activoSeleccionado.peso_tara,
                                    folioMB.activoSeleccionado.japon,
                                    folioMB.activoSeleccionado.segundas,
                                    folioMB.activoSeleccionado.terceras,
                                    folioMB.activoSeleccionado.torreon,
                                    folioMB.activoSeleccionado.coleada,
                                    folioMB.activoSeleccionado.id
                                    ,2,sessionMB.usuariomovil.id                                    
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cambiar a estatus terminado" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarRegitroMobile3(
                                    folioMB.activoSeleccionado.peso_bruto,
                                    folioMB.activoSeleccionado.peso_tara,
                                    folioMB.activoSeleccionado.japon,
                                    folioMB.activoSeleccionado.segundas,
                                    folioMB.activoSeleccionado.terceras,
                                    folioMB.activoSeleccionado.torreon,
                                    folioMB.activoSeleccionado.coleada,
                                    folioMB.activoSeleccionado.id
                                    ,3,sessionMB.usuariomovil.id
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Regresar a estatus recepción" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.rechazar(
                                    folioMB.activoSeleccionado.id
                                    ,1
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cancelar operación"  ajax="false" icon="ui-icon-contact"  />
                </h:form>
            </p:panel>
        </pm:content>
    </pm:page>
</h:body>
</html>